#!/bin/sh
# Genera HTML con valoraciones de todos los estudiantes en todas las asignaturas
# Dominio público. 2007. Sin garantías. http://structio.sourceforge.net/sigue

outdir=$1;
anio=$2
nper=$3;

if (test "$outdir" = "") then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test ! -d $outdir) then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test "$anio" = "") then {
	echo "Segundo parámetro debe ser anio por generar";
	exit 1;
} fi;

if (test "$nper" = "") then {
	echo "Tercer parámetro debe ser periodo por generar";
	exit 1;
} fi;

per="p$anio-$nper";

PLANEST=/var/saulo/planest/2007/
NS=planest2val.xsl;
XSLT=/usr/local/share/sigue/xslt/$NS;

export SGML_CATALOG_FILES=$SGML_CATALOG_FILES:/usr/local/share/xml/structio/catalog

woutdir=`(cd $outdir; pwd)`;


profesores=`grep "refind" ../../grupo/2007/profesores.grp | sed -e  "s/.*\/[0-9]*\///g;s/\/datos.ind.*//g"`;
echo $profesores;
for prof in $profesores; do 
	echo $prof;
	cmd="xsltproc --stringparam periodo \"$per\" --stringparam prof \"$prof\" --path /usr/local/share/xml/structio/ --catalogs $XSLT col.planest > $outdir/$prof.html"
	echo $cmd;
	eval $cmd;
done;

